<!-- by your name -->
<template>
  <div class="mainBox" ref="mainBox">
      <zw-search-bar />

  </div>

</template>

<script>
import sys_info from '@/components/sys_info' //系统通知
import thirdAd from './components/thirdAd'
import adHavigation from './components/adHavigation'
import adList from './components/adList'
import todayRecommend from './components/todayRecommend'
import zwSearchBar from '../../components/zwSearchBar'
import scrollTopMixin from '@/mixin/scrollTopMixin'
export default {
  name: 'home',
  mixins:[scrollTopMixin],
  provide() {
    return {
      home: this
    }
  },
  components: { adList, adHavigation, thirdAd, todayRecommend, zwSearchBar,sysInfo: sys_info, },
  data() {
    return {
      mainInfo: {
        today_recommend: [], //今日推荐
        third_ad: {
          img: []
        }, //广告
        navigation: [], //导航
        ad: [],  //轮播
      }
    }
  },


  mounted() {
    this.m_loading()
    // if (BridgeSDK.iosOnly()) {
    //   alert("Yup, your device is IOS");
    // }
    // if (BridgeSDK.androidOnly()) {
    //   alert("Yup, your device is Android");
    // }
  },

  methods: {

    init() {
      this.getDataList()
    },

    getDataList() {
      //this.m_loading()
      this.api.mall_info().then(res => {
        this.mainInfo = res.data
        if (!location.href.includes('isAppHome'))
        {
          this.mainInfo.navigation.push({
            name: '上传文件',
            img: require('@/assets/img/upload.png'),
            url: '/index/upload'
          })
        }
        this.m_hideLoading()
      })
    }






  },



}

</script>
<style lang='scss' scoped>
.mainBox {
  height: 100%;
  overflow: auto;
  -webkit-overflow-scrolling: touch;
}
</style>
